Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
Halide::Internal::Autoscheduler::FunctionDAG::Node::Loop Struct Reference

`#include <FunctionDAG.h>`

## Public Attributes
string | var
bool | pure
bool | rvar
Expr | min
Expr | max
int | pure_dim
bool | equals_region_computed = false
int | region_computed_dim = 0
bool | bounds_are_constant = false
int64_t | c_min = 0
int64_t | c_max = 0
string | accessor

## Detailed Description

Definition at line 420 of file FunctionDAG.h.

## Member Data Documentation

## ◆ var

string Halide::Internal::Autoscheduler::FunctionDAG::Node::Loop::var

Definition at line 421 of file FunctionDAG.h.

## ◆ pure

bool Halide::Internal::Autoscheduler::FunctionDAG::Node::Loop::pure

Definition at line 422 of file FunctionDAG.h.

## ◆ rvar

bool Halide::Internal::Autoscheduler::FunctionDAG::Node::Loop::rvar

Definition at line 422 of file FunctionDAG.h.

## ◆ min

Expr Halide::Internal::Autoscheduler::FunctionDAG::Node::Loop::min

Definition at line 423 of file FunctionDAG.h.

## ◆ max

Expr Halide::Internal::Autoscheduler::FunctionDAG::Node::Loop::max

Definition at line 423 of file FunctionDAG.h.

## ◆ pure_dim

int Halide::Internal::Autoscheduler::FunctionDAG::Node::Loop::pure_dim

Definition at line 426 of file FunctionDAG.h.

## ◆ equals_region_computed

bool Halide::Internal::Autoscheduler::FunctionDAG::Node::Loop::equals_region_computed = false

Definition at line 431 of file FunctionDAG.h.

## ◆ region_computed_dim

int Halide::Internal::Autoscheduler::FunctionDAG::Node::Loop::region_computed_dim = 0

Definition at line 432 of file FunctionDAG.h.

## ◆ bounds_are_constant

bool Halide::Internal::Autoscheduler::FunctionDAG::Node::Loop::bounds_are_constant = false

Definition at line 435 of file FunctionDAG.h.

## ◆ c_min

int64_t Halide::Internal::Autoscheduler::FunctionDAG::Node::Loop::c_min = 0

Definition at line 436 of file FunctionDAG.h.

## ◆ c_max

int64_t Halide::Internal::Autoscheduler::FunctionDAG::Node::Loop::c_max = 0

Definition at line 436 of file FunctionDAG.h.

## ◆ accessor

string Halide::Internal::Autoscheduler::FunctionDAG::Node::Loop::accessor

Definition at line 441 of file FunctionDAG.h.

The documentation for this struct was generated from the following files:

- src/autoschedulers/adams2019/FunctionDAG.h
- src/autoschedulers/anderson2021/FunctionDAG.h